Dans la famille ‘je crée plus de problèmes que je suis censé en résoudre’, je demande … magic_quotes, connu sous nos cieux par le doux nom de « guillemets magiques » de PHP .
Ce petit loustic a dû vous causer quelques problèmes si :

  • Vous utilisez une ancienne version de MAMP Pro;
  • Vous souhaitez tester Joomla 3.0;

Tant et aussi longtemps qu’on ne l’aura pas désactivé, Joomla 3.O ne peut être installé. Mieux :  99,99% des solutions trouvées sur les forums de Joomla sont soit inefficaces (fichier php.ini à la racine, modification du php.ini dans le dossier /etc) soit mal avisées (modifications des fichiers noyaux de Joomla 3.0). Le problème ici est que MAMP Pro ne prend en compte les modifications apportées dans les fichiers php.ini placés à la racine des sites web.

La solution  consiste donc à passer par l’éditeur de template (file>edit template), puis à rajouter deux lignes au fichier php.ini de votre serveur local. Pour plus de détails sur la façon de procéder, voir la vidéo ci dessous:

 

magic_quotes.mov from Jean Luc Houédanou on Vimeo.

Mais la solution la plus simple est celle ci : mettre à jour MAMP Pro. afin de pouvoir utiliser PHP 5.4 dans vos développements.

PS : Chers développeurs php tout fraîchement sortis du « site du zéro » (je ne vous juge pas…) qui lisent actuellement ces lignes avec la bave aux lèves et s’apprêtent à crier à l’hérésie, puis à m’incendier via la zone de commentaires, veuillez lire l’avis … des gens de PHP sur le sujet.

Pourquoi ne pas utiliser les guillemets magiques ? via php.net

 

Jean Luc Houédanou

Leave a comment

Votre adresse e-mail ne sera pas publiée. Les champs obligatoires sont indiqués avec *